NEARBYINT(3)

NAME
nearbyint - round to integral value in floating-point format

SYNOPSIS
#include <math.h>
double
nearbyint(double x);
long double
nearbyintl(long double x);
float
nearbyintf(float x);

DESCRIPTION
The nearbyint() functions return the integral value (represented as a double precision number) nearest to x according to the prevailing rounding mode.

nearbyint() is the same as rint(), except that nearbyint is guaranteed never to set floating point flags or trigger floating point exceptions (which are disabled by default). rint() is typically much more performant than nearbyint() if the application does not depend on flags being preserved.

SPECIAL VALUES
nearbyint(±0) returns ±0 for all rounding modes.

nearbyint(±infinity) returns ±infinity for all rounding modes.

SEE ALSO
rint(3) ceil(3) floor(3) round(3) trunc(3) lround(3) lrint(3) llround(3) llrint(3) math(3)

STANDARDS
The nearbyint() functions conform to ISO/IEC 9899:2011.